# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 10

Summary:        A mediacenter user interface written with the Plasma framework
Name:           plasma-mediacenter
Version: 5.7.5
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Patch0:         plasma-mediacenter-5.7.5-kf-5.72-findtaglib.patch

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kactivities-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  ki18n-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kio-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kfilemetadata-devel
BuildRequires:  cmake(KF5Baloo)

BuildRequires:  pkgconfig(taglib)

%description
A mediacenter user interface written with the Plasma framework.

%files -f %{name}.lang
%_kf5_qmldir/org/kde/plasma/mediacenter
%_qt5_plugindir/plasma/mediacenter
%_kf5_datadir/xsessions/plasma-mediacenter.desktop
%_kf5_datadir/plasma/shells/org.kde.plasma.mediacenter
%_kf5_datadir/applications/plasma-mediacenter.desktop
%_kf5_iconsdir/hicolor/64x64/actions/pmc-back.png
%_kf5_services/plasma-shell-org.kde.plasma.mediacenter.desktop
%_kf5_servicetypes/pmc_browsingbackend.desktop
%_kf5_servicetypes/pmc_datasource.desktop
%_kf5_metainfodir/org.kde.plasma.mediacenter.appdata.xml

#--------------------------------------------------------------------

%define plasmamediacenter_major 5
%define libplasmamediacenter %mklibname plasmamediacenter %{plasmamediacenter_major}

%package -n %libplasmamediacenter
Summary:      A mediacenter user interface written with the Plasma framework
Group:        System/Libraries

%description -n %libplasmamediacenter
A mediacenter user interface written with the Plasma framework.

%files -n %libplasmamediacenter
%_kf5_libdir/libplasmamediacenter.so.%{plasmamediacenter_major}{,.*}

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name



%changelog
* Thu Dec 17 2020 umeabot <umeabot> 5.7.5-10.mga8
+ Revision: 1659390
- Rebuild for new Qt5

* Sat Jul 25 2020 daviddavid <daviddavid> 5.7.5-9.mga8
+ Revision: 1608921
- add patch to fix build with ECM >=5.72.0

* Thu May 28 2020 daviddavid <daviddavid> 5.7.5-8.mga8
+ Revision: 1588558
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 5.7.5-7.mga8
+ Revision: 1524878
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 5.7.5-6.mga7
+ Revision: 1384011
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5.7.5-5.mga7
+ Revision: 1300304
- Mageia 7 Mass Rebuild

* Sun Sep 17 2017 cjw <cjw> 5.7.5-4.mga7
+ Revision: 1155052
- fix build with new find_lang

* Thu Dec 15 2016 neoclust <neoclust> 5.7.5-3.mga6
+ Revision: 1075250
- Fix  file list

* Wed Sep 14 2016 daviddavid <daviddavid> 5.7.5-2.mga6
+ Revision: 1052768
- enable KF5Baloo and Qt5Multimedia support

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052696
- New version 5.7.5
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044282
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042570
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041407
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039512
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021884
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014552
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009289
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999273
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998028
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994406
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987002
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983755
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927983
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922517
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914853
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913619
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910698
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908859
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904412
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900794
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 899807
- New version 5.4.90

* Thu Oct 15 2015 neoclust <neoclust> 5.4.2-2.mga6
+ Revision: 891711
- Correct BR name
- New version 5.4.2
- New version 5.4.1
- New version 5.4.0
- New version 5.3.95

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850786
- imported package plasma-mediacenter

